Bug 1957972 - Leftover templates from mdns
Summary: Leftover templates from mdns
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Ben Nemec
QA Contact: Eldar Weiss
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-06 21:23 UTC by Ben Nemec
Modified: 2021-07-30 02:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:07:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2571 0 None Waiting on Customer [RFE] Support virtual machines with 12TB memory 2022-04-25 07:00:20 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:07:22 UTC

Description Ben Nemec 2021-05-06 21:23:57 UTC
Description of problem: When the mdns plugin was removed from the coredns configuration for on-prem platforms, a couple of the related templates were missed. Specifically:

templates/common/on-prem/files/NetworkManager-mdns-hostname.yaml
templates/common/on-prem/files/mdns-config.yaml

These are no longer necessary as they were only used by the mdns-publisher pod that was removed.

Version-Release number of selected component (if applicable): 4.8

Comment 3 Eldar Weiss 2021-05-26 19:07:28 UTC
Description of problem:
When the mdns plugin was removed from the coredns configuration for on-prem platforms, a couple of the related templates were missed. Specifically:

templates/common/on-prem/files/NetworkManager-mdns-hostname.yaml
templates/common/on-prem/files/mdns-config.yaml

both appear in:
/etc/kubernetes/static-pod-resources/mdns/config.hcl.tmpl
/etc/NetworkManager/dispatcher.d/40-mdns-hostname

These are no longer necessary as they were only used by the mdns-publisher pod that was removed.


Version-Release number of selected component (if applicable): 4.8.0-0.nightly-2021-05-26-071911


How reproducible:
find the above files, post deployment

Actual results:

[core@master-0-0 ~]$ ll /etc/NetworkManager/dispatcher.d
total 28
-rwxr-xr-x. 1 root root  428 May 26 16:02 20-chrony
-r-xr-xr-x. 1 root root 2602 May 26 16:02 20-coreos-chrony-dhcp
-rwxr-xr-x. 1 root root 3044 May 26 16:00 30-resolv-prepender
-rwxr-xr-x. 1 root root 1734 May 26 16:00 30-static-dhcp
-rwxr-xr-x. 1 root root 1620 May 26 16:00 30-static-dhcpv6
-rwxr--r--. 1 root root  491 May 26 16:02 90-console-login-helper-messages-gensnippet_if
-rwxr--r--. 1 root root  478 May 26 16:00 99-vsphere-disable-tx-udp-tnl
drwxr-xr-x. 2 root root    6 May 26 16:02 no-wait.d
drwxr-xr-x. 2 root root    6 May 26 16:02 pre-down.d
drwxr-xr-x. 2 root root    6 May 26 16:02 pre-up.d

[core@master-0-0 ~]$ ll /etc/kubernetes/static-pod-resources
total 0
drwxr-xr-x. 3 root root 26 May 26 16:02 configmaps
drwxr-xr-x. 2 root root 27 May 26 16:02 coredns
drwxr-xr-x. 4 root root 39 May 26 16:10 etcd-certs
drwxr-xr-x. 4 root root 60 May 26 16:10 etcd-pod-2
drwxr-xr-x. 4 root root 60 May 26 16:16 etcd-pod-3
drwxr-xr-x. 2 root root 30 May 26 16:02 haproxy
drwxr-xr-x. 3 root root 49 May 26 16:02 keepalived
drwxr-xr-x. 4 root root 39 May 26 16:08 kube-apiserver-certs
drwxr-xr-x. 4 root root 70 May 26 16:08 kube-apiserver-pod-2
drwxr-xr-x. 4 root root 70 May 26 16:14 kube-apiserver-pod-3
drwxr-xr-x. 4 root root 70 May 26 16:14 kube-apiserver-pod-4
drwxr-xr-x. 4 root root 70 May 26 16:16 kube-apiserver-pod-5
drwxr-xr-x. 4 root root 70 May 26 16:29 kube-apiserver-pod-6
drwxr-xr-x. 4 root root 70 May 26 16:44 kube-apiserver-pod-7
drwxr-xr-x. 4 root root 39 May 26 16:08 kube-controller-manager-certs
drwxr-xr-x. 4 root root 79 May 26 16:08 kube-controller-manager-pod-2
drwxr-xr-x. 4 root root 79 May 26 16:10 kube-controller-manager-pod-4
drwxr-xr-x. 4 root root 79 May 26 16:14 kube-controller-manager-pod-5
drwxr-xr-x. 4 root root 79 May 26 16:16 kube-controller-manager-pod-6
drwxr-xr-x. 4 root root 79 May 26 16:19 kube-controller-manager-pod-7
drwxr-xr-x. 3 root root 21 May 26 16:08 kube-scheduler-certs
drwxr-xr-x. 4 root root 70 May 26 16:08 kube-scheduler-pod-2
drwxr-xr-x. 4 root root 70 May 26 16:11 kube-scheduler-pod-5
drwxr-xr-x. 4 root root 70 May 26 16:12 kube-scheduler-pod-6
drwxr-xr-x. 4 root root 70 May 26 16:16 kube-scheduler-pod-7

[kni@provisionhost-0-0 ~]$ ll /etc/cloud/templates
total 84
-rw-r--r--. 1 root root 1592 Dec 18  2019 chef_client.rb.tmpl
-rw-r--r--. 1 root root 1111 Dec 18  2019 chrony.conf.debian.tmpl
-rw-r--r--. 1 root root 1269 Dec 18  2019 chrony.conf.fedora.tmpl
-rw-r--r--. 1 root root  991 Dec 18  2019 chrony.conf.opensuse.tmpl
-rw-r--r--. 1 root root 1181 Dec 18  2019 chrony.conf.rhel.tmpl
-rw-r--r--. 1 root root  991 Dec 18  2019 chrony.conf.sles.tmpl
-rw-r--r--. 1 root root 1280 Dec 18  2019 chrony.conf.ubuntu.tmpl
-rw-r--r--. 1 root root  901 Dec 18  2019 hosts.debian.tmpl
-rw-r--r--. 1 root root  914 Dec 18  2019 hosts.freebsd.tmpl
-rw-r--r--. 1 root root  912 Dec 18  2019 hosts.redhat.tmpl
-rw-r--r--. 1 root root 1067 Dec 18  2019 hosts.suse.tmpl
-rw-r--r--. 1 root root 2150 Dec 18  2019 ntp.conf.debian.tmpl
-rw-r--r--. 1 root root 2074 Dec 18  2019 ntp.conf.fedora.tmpl
-rw-r--r--. 1 root root 2755 Dec 18  2019 ntp.conf.opensuse.tmpl
-rw-r--r--. 1 root root 1852 Dec 18  2019 ntp.conf.rhel.tmpl
-rw-r--r--. 1 root root 2755 Dec 18  2019 ntp.conf.sles.tmpl
-rw-r--r--. 1 root root 2509 Dec 18  2019 ntp.conf.ubuntu.tmpl
-rw-r--r--. 1 root root  812 Dec 18  2019 resolv.conf.tmpl
-rw-r--r--. 1 root root 1295 Dec 18  2019 sources.list.debian.tmpl
-rw-r--r--. 1 root root 2858 Dec 18  2019 sources.list.ubuntu.tmpl
-rw-r--r--. 1 root root  203 Dec 18  2019 timesyncd.conf.tmpl

[kni@provisionhost-0-0 ~]$ locate mdns
/usr/lib/firewalld/services/mdns.xml


Verified result:
Leftover mdns files do not appear anymore.




Expected results:


Additional info:

Comment 6 errata-xmlrpc 2021-07-27 23:07:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.